lp:~robert-ancell/vino/update-3.16

Created by Robert Ancell on 2015-07-02 and last modified on 2015-07-02
Get this branch:
bzr branch lp:~robert-ancell/vino/update-3.16
Only Robert Ancell can upload to this branch. If you are Robert Ancell please log in for upload directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Robert Ancell
Project:
vino
Status:
Development

Recent revisions

96. By Robert Ancell on 2015-07-02

* New upstream release (LP: #1271358)
* Merge with Debian, remaining Ubuntu changes:
* debian/control:
  - Build-depend on dh-autoreconf, gnome-common
  - Build-depend on libappindicator3-dev
  - Use Ubuntu VCS links
* debian/rules:
  - Use dh-autoreconf
  - Compile with --enable-appindicator
* debian/patches/06_use-ubuntu-help.patch:
  - Use Ubuntu system help
* debian/patches/12_app-indicators-only.patch:
  - Add indicator support
* debian/patches/revert_use_prompt_notification.patch:
  - Use old style notifications because Notify-OSD doesn't support prompts
* New upstream release.
* Drop Build-Depends on network-manager-dev and bump Build-Depends on
  libglib2.0-dev to (>= 2.32.0). Drop the obsolete configure switch
  accordingly. Vino now uses GNetworkMonitor rather than NetworkManager
  D-Bus interfaces.
* Bump Standards-Version to 3.9.6. No further changes.
* Update Homepage URL.
* Add gnome-control-center (<< 3.13.2) to Breaks.
  - previous versiones of g-c-c used the now removed "enabled" schema
    key in the sharing panel.
* New upstream release.
* Upload to unstable.
* New upstream development release.
  - Note: no longer started by gnome-session, now by g-s-d sharing instead.
* Have quilt refresh patches.
* debian/rules: drop vino-server.desktop autostart file move since
  we're now started by gnome-settings-daemon sharing plugin instead
  so the file is no longer installed under /etc/xdg/autostart.
* Build-depend against libgnutls28-dev and libgcrypt20-dev (Closes: #753164)
  - Instead of libgnutls-dev (gnutls26) and libgcrypt11-dev
* Bump Standards-Version to 3.9.5
* New upstream release.
* Update build-dependencies according to configure.ac changes:
  - drop libsoup2.4
* Make vino suggest gnome-control-center
  - vino-passwd removed in favor of using g-c-c to set password.
[ Jeremy Bicha ]
* Update homepage
[ Andreas Henriksson ]
* New upstream release.
  - fixes Persistent DoS Vulnerability CVE-2013-5745 (Closes: #724545)
* Refresh debian/patches/11_hurd_maxhostnamelen.patch to apply cleanly.
* New upstream release.
* New upstream release.
* New upstream release.
* debian/patches/02_server_sm-disable.patch: refreshed to apply.
[ Andreas Henriksson ]
* New upstream release.
* Update build dependencies according to configure.ac changes:
  + Bump intltool (>= 0.40.0) to (>= 0.50.0)
  + Bump libtelepathy-glib-dev (>= 0.11.6) to (>= 0.18.0).
  + Drop libgnome-keyring-dev and use libsecret-1-dev.
* New upstream translation release.
* New upstream translation release.
[ Michael Biebl ]
* Disable 05_use-system-miniupnpc.patch for now, until we have a patch that
  is ready to be sent upstream and the Debian maintainer of miniupnpc has
  learned how to maintain a library package.
[ Jordi Mallach ]
* New upstream release.
* Update Vcs-* URLs.
* Bump Standards-Version to 3.9.3, with no further changes.

95. By Robert Ancell on 2015-07-01

No-change rebuild for the libgcrypt20 transition.

94. By Sebastien Bacher on 2014-10-31

releasing package vino version 3.8.1-0ubuntu4

93. By Sebastien Bacher on 2014-10-31

releasing package vino version 3.8.1-0ubuntu3

92. By Sebastien Bacher on 2014-10-31

releasing package vino version 3.8.1-0ubuntu2

91. By Sebastien Bacher on 2013-11-18

releasing package vino version 3.8.1-0ubuntu1

90. By Sebastien Bacher on 2013-11-18

* New upstream version, drop changes included in the new version
* debian/patches/revert_use_prompt_notification.patch:
  - revert upstream change to use a notification with actions to accept or
    deny clients, since notify-osd doesn't support those, we keep using
    the old standalone dialog instead
* debian/patches/git_tls_read.patch:
  - "Fix reading of TLS data to account for cached data"

89. By Marc Deslauriers on 2013-09-27

* SECURITY UPDATE: denial of service via malformed data
  - debian/patches/CVE-2013-5745.patch: close clients in a deferred state
    in server/libvncserver/rfbserver.c.
  - CVE-2013-5745

88. By Sebastien Bacher on 2013-04-10

releasing version 3.6.2-0ubuntu4

87. By Sebastien Bacher on 2013-03-20

releasing version 3.6.2-0ubuntu3

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:vino
This branch contains Public information 
Everyone can see this information.

Subscribers